Mercurial > hg > Game > CbCTaskManager
annotate Makefile.in @ 15:2e764a0ae8ff
bit modify.
author | kent <kent@cr.ie.u-ryukyu.ac.jp> |
---|---|
date | Sat, 09 Jan 2010 18:48:57 +0900 |
parents | f06fb0370caf |
children | b5bbbeec1fe8 d31f9a0f9024 |
rev | line source |
---|---|
11 | 1 # Makefile.in generated by automake 1.10.2 from Makefile.am. |
2 # @configure_input@ | |
3 | |
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, | |
5 # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc. | |
6 # This Makefile.in is free software; the Free Software Foundation | |
7 # gives unlimited permission to copy and/or distribute it, | |
8 # with or without modifications, as long as this notice is preserved. | |
9 | |
10 # This program is distributed in the hope that it will be useful, | |
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without | |
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A | |
13 # PARTICULAR PURPOSE. | |
14 | |
15 @SET_MAKE@ | |
16 VPATH = @srcdir@ | |
17 pkgdatadir = $(datadir)/@PACKAGE@ | |
18 pkglibdir = $(libdir)/@PACKAGE@ | |
19 pkgincludedir = $(includedir)/@PACKAGE@ | |
20 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd | |
21 install_sh_DATA = $(install_sh) -c -m 644 | |
22 install_sh_PROGRAM = $(install_sh) -c | |
23 install_sh_SCRIPT = $(install_sh) -c | |
24 INSTALL_HEADER = $(INSTALL_DATA) | |
25 transform = $(program_transform_name) | |
26 NORMAL_INSTALL = : | |
27 PRE_INSTALL = : | |
28 POST_INSTALL = : | |
29 NORMAL_UNINSTALL = : | |
30 PRE_UNINSTALL = : | |
31 POST_UNINSTALL = : | |
32 subdir = . | |
33 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \ | |
34 $(srcdir)/Makefile.in $(srcdir)/config.h.in \ | |
35 $(top_srcdir)/configure COPYING INSTALL depcomp install-sh \ | |
36 missing | |
37 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 | |
38 am__aclocal_m4_deps = $(top_srcdir)/configure.ac | |
39 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ | |
40 $(ACLOCAL_M4) | |
41 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \ | |
42 configure.lineno config.status.lineno | |
43 mkinstalldirs = $(install_sh) -d | |
44 CONFIG_HEADER = config.h | |
45 CONFIG_CLEAN_FILES = | |
46 SOURCES = | |
47 DIST_SOURCES = | |
48 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \ | |
49 html-recursive info-recursive install-data-recursive \ | |
50 install-dvi-recursive install-exec-recursive \ | |
51 install-html-recursive install-info-recursive \ | |
52 install-pdf-recursive install-ps-recursive install-recursive \ | |
53 installcheck-recursive installdirs-recursive pdf-recursive \ | |
54 ps-recursive uninstall-recursive | |
55 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ | |
56 distclean-recursive maintainer-clean-recursive | |
57 ETAGS = etags | |
58 CTAGS = ctags | |
59 DIST_SUBDIRS = $(SUBDIRS) | |
60 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | |
61 distdir = $(PACKAGE)-$(VERSION) | |
62 top_distdir = $(distdir) | |
63 am__remove_distdir = \ | |
64 { test ! -d $(distdir) \ | |
65 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \ | |
66 && rm -fr $(distdir); }; } | |
67 DIST_ARCHIVES = $(distdir).tar.gz | |
68 GZIP_ENV = --best | |
69 distuninstallcheck_listfiles = find . -type f -print | |
70 distcleancheck_listfiles = find . -type f -print | |
71 ACLOCAL = @ACLOCAL@ | |
72 AMTAR = @AMTAR@ | |
73 AUTOCONF = @AUTOCONF@ | |
74 AUTOHEADER = @AUTOHEADER@ | |
75 AUTOMAKE = @AUTOMAKE@ | |
76 AWK = @AWK@ | |
77 CC = @CC@ | |
78 CCDEPMODE = @CCDEPMODE@ | |
79 CFLAGS = @CFLAGS@ | |
80 CPP = @CPP@ | |
81 CPPFLAGS = @CPPFLAGS@ | |
82 CXX = @CXX@ | |
83 CXXDEPMODE = @CXXDEPMODE@ | |
84 CXXFLAGS = @CXXFLAGS@ | |
85 CYGPATH_W = @CYGPATH_W@ | |
86 CbCC = @CbCC@ | |
87 DEFS = @DEFS@ | |
88 DEPDIR = @DEPDIR@ | |
89 ECHO_C = @ECHO_C@ | |
90 ECHO_N = @ECHO_N@ | |
91 ECHO_T = @ECHO_T@ | |
92 EGREP = @EGREP@ | |
93 EXEEXT = @EXEEXT@ | |
94 GREP = @GREP@ | |
95 INSTALL = @INSTALL@ | |
96 INSTALL_DATA = @INSTALL_DATA@ | |
97 INSTALL_PROGRAM = @INSTALL_PROGRAM@ | |
98 INSTALL_SCRIPT = @INSTALL_SCRIPT@ | |
99 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ | |
100 LDFLAGS = @LDFLAGS@ | |
101 LIBOBJS = @LIBOBJS@ | |
102 LIBS = @LIBS@ | |
103 LTLIBOBJS = @LTLIBOBJS@ | |
104 MAKEINFO = @MAKEINFO@ | |
105 MKDIR_P = @MKDIR_P@ | |
106 OBJEXT = @OBJEXT@ | |
107 PACKAGE = @PACKAGE@ | |
108 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ | |
109 PACKAGE_NAME = @PACKAGE_NAME@ | |
110 PACKAGE_STRING = @PACKAGE_STRING@ | |
111 PACKAGE_TARNAME = @PACKAGE_TARNAME@ | |
112 PACKAGE_VERSION = @PACKAGE_VERSION@ | |
113 PATH_SEPARATOR = @PATH_SEPARATOR@ | |
114 RANLIB = @RANLIB@ | |
115 SET_MAKE = @SET_MAKE@ | |
116 SHELL = @SHELL@ | |
117 STRIP = @STRIP@ | |
118 VERSION = @VERSION@ | |
119 abs_builddir = @abs_builddir@ | |
120 abs_srcdir = @abs_srcdir@ | |
121 abs_top_builddir = @abs_top_builddir@ | |
122 abs_top_srcdir = @abs_top_srcdir@ | |
123 ac_ct_CC = @ac_ct_CC@ | |
124 ac_ct_CXX = @ac_ct_CXX@ | |
125 am__include = @am__include@ | |
126 am__leading_dot = @am__leading_dot@ | |
127 am__quote = @am__quote@ | |
128 am__tar = @am__tar@ | |
129 am__untar = @am__untar@ | |
130 bindir = @bindir@ | |
131 build_alias = @build_alias@ | |
132 builddir = @builddir@ | |
133 datadir = @datadir@ | |
134 datarootdir = @datarootdir@ | |
135 docdir = @docdir@ | |
136 dvidir = @dvidir@ | |
137 exec_prefix = @exec_prefix@ | |
138 host_alias = @host_alias@ | |
139 htmldir = @htmldir@ | |
140 includedir = @includedir@ | |
141 infodir = @infodir@ | |
142 install_sh = @install_sh@ | |
143 libdir = @libdir@ | |
144 libexecdir = @libexecdir@ | |
145 localedir = @localedir@ | |
146 localstatedir = @localstatedir@ | |
147 mandir = @mandir@ | |
148 mkdir_p = @mkdir_p@ | |
149 oldincludedir = @oldincludedir@ | |
150 pdfdir = @pdfdir@ | |
151 prefix = @prefix@ | |
152 program_transform_name = @program_transform_name@ | |
153 psdir = @psdir@ | |
154 sbindir = @sbindir@ | |
155 sharedstatedir = @sharedstatedir@ | |
156 srcdir = @srcdir@ | |
157 sysconfdir = @sysconfdir@ | |
158 target_alias = @target_alias@ | |
159 top_build_prefix = @top_build_prefix@ | |
160 top_builddir = @top_builddir@ | |
161 top_srcdir = @top_srcdir@ | |
162 AUTOMAKE_OPTIONS = foreign | |
13
f06fb0370caf
add pthread code that has not been debuged yet.
kent <kent@cr.ie.u-ryukyu.ac.jp>
parents:
11
diff
changeset
|
163 SUBDIRS = src examples |
11 | 164 all: config.h |
165 $(MAKE) $(AM_MAKEFLAGS) all-recursive | |
166 | |
167 .SUFFIXES: | |
168 am--refresh: | |
169 @: | |
170 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) | |
171 @for dep in $?; do \ | |
172 case '$(am__configure_deps)' in \ | |
173 *$$dep*) \ | |
174 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \ | |
175 cd $(srcdir) && $(AUTOMAKE) --foreign \ | |
176 && exit 0; \ | |
177 exit 1;; \ | |
178 esac; \ | |
179 done; \ | |
180 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \ | |
181 cd $(top_srcdir) && \ | |
182 $(AUTOMAKE) --foreign Makefile | |
183 .PRECIOUS: Makefile | |
184 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status | |
185 @case '$?' in \ | |
186 *config.status*) \ | |
187 echo ' $(SHELL) ./config.status'; \ | |
188 $(SHELL) ./config.status;; \ | |
189 *) \ | |
190 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \ | |
191 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \ | |
192 esac; | |
193 | |
194 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) | |
195 $(SHELL) ./config.status --recheck | |
196 | |
197 $(top_srcdir)/configure: $(am__configure_deps) | |
198 cd $(srcdir) && $(AUTOCONF) | |
199 $(ACLOCAL_M4): $(am__aclocal_m4_deps) | |
200 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS) | |
201 | |
202 config.h: stamp-h1 | |
203 @if test ! -f $@; then \ | |
204 rm -f stamp-h1; \ | |
205 $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \ | |
206 else :; fi | |
207 | |
208 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status | |
209 @rm -f stamp-h1 | |
210 cd $(top_builddir) && $(SHELL) ./config.status config.h | |
211 $(srcdir)/config.h.in: $(am__configure_deps) | |
212 cd $(top_srcdir) && $(AUTOHEADER) | |
213 rm -f stamp-h1 | |
214 touch $@ | |
215 | |
216 distclean-hdr: | |
217 -rm -f config.h stamp-h1 | |
218 | |
219 # This directory's subdirectories are mostly independent; you can cd | |
220 # into them and run `make' without going through this Makefile. | |
221 # To change the values of `make' variables: instead of editing Makefiles, | |
222 # (1) if the variable is set in `config.status', edit `config.status' | |
223 # (which will cause the Makefiles to be regenerated when you run `make'); | |
224 # (2) otherwise, pass the desired values on the `make' command line. | |
225 $(RECURSIVE_TARGETS): | |
226 @failcom='exit 1'; \ | |
227 for f in x $$MAKEFLAGS; do \ | |
228 case $$f in \ | |
229 *=* | --[!k]*);; \ | |
230 *k*) failcom='fail=yes';; \ | |
231 esac; \ | |
232 done; \ | |
233 dot_seen=no; \ | |
234 target=`echo $@ | sed s/-recursive//`; \ | |
235 list='$(SUBDIRS)'; for subdir in $$list; do \ | |
236 echo "Making $$target in $$subdir"; \ | |
237 if test "$$subdir" = "."; then \ | |
238 dot_seen=yes; \ | |
239 local_target="$$target-am"; \ | |
240 else \ | |
241 local_target="$$target"; \ | |
242 fi; \ | |
243 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | |
244 || eval $$failcom; \ | |
245 done; \ | |
246 if test "$$dot_seen" = "no"; then \ | |
247 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ | |
248 fi; test -z "$$fail" | |
249 | |
250 $(RECURSIVE_CLEAN_TARGETS): | |
251 @failcom='exit 1'; \ | |
252 for f in x $$MAKEFLAGS; do \ | |
253 case $$f in \ | |
254 *=* | --[!k]*);; \ | |
255 *k*) failcom='fail=yes';; \ | |
256 esac; \ | |
257 done; \ | |
258 dot_seen=no; \ | |
259 case "$@" in \ | |
260 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ | |
261 *) list='$(SUBDIRS)' ;; \ | |
262 esac; \ | |
263 rev=''; for subdir in $$list; do \ | |
264 if test "$$subdir" = "."; then :; else \ | |
265 rev="$$subdir $$rev"; \ | |
266 fi; \ | |
267 done; \ | |
268 rev="$$rev ."; \ | |
269 target=`echo $@ | sed s/-recursive//`; \ | |
270 for subdir in $$rev; do \ | |
271 echo "Making $$target in $$subdir"; \ | |
272 if test "$$subdir" = "."; then \ | |
273 local_target="$$target-am"; \ | |
274 else \ | |
275 local_target="$$target"; \ | |
276 fi; \ | |
277 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | |
278 || eval $$failcom; \ | |
279 done && test -z "$$fail" | |
280 tags-recursive: | |
281 list='$(SUBDIRS)'; for subdir in $$list; do \ | |
282 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \ | |
283 done | |
284 ctags-recursive: | |
285 list='$(SUBDIRS)'; for subdir in $$list; do \ | |
286 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \ | |
287 done | |
288 | |
289 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) | |
290 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | |
291 unique=`for i in $$list; do \ | |
292 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | |
293 done | \ | |
294 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | |
295 END { if (nonempty) { for (i in files) print i; }; }'`; \ | |
296 mkid -fID $$unique | |
297 tags: TAGS | |
298 | |
299 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \ | |
300 $(TAGS_FILES) $(LISP) | |
301 tags=; \ | |
302 here=`pwd`; \ | |
303 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ | |
304 include_option=--etags-include; \ | |
305 empty_fix=.; \ | |
306 else \ | |
307 include_option=--include; \ | |
308 empty_fix=; \ | |
309 fi; \ | |
310 list='$(SUBDIRS)'; for subdir in $$list; do \ | |
311 if test "$$subdir" = .; then :; else \ | |
312 test ! -f $$subdir/TAGS || \ | |
313 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \ | |
314 fi; \ | |
315 done; \ | |
316 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \ | |
317 unique=`for i in $$list; do \ | |
318 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | |
319 done | \ | |
320 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | |
321 END { if (nonempty) { for (i in files) print i; }; }'`; \ | |
322 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \ | |
323 test -n "$$unique" || unique=$$empty_fix; \ | |
324 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |
325 $$tags $$unique; \ | |
326 fi | |
327 ctags: CTAGS | |
328 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \ | |
329 $(TAGS_FILES) $(LISP) | |
330 tags=; \ | |
331 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \ | |
332 unique=`for i in $$list; do \ | |
333 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | |
334 done | \ | |
335 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | |
336 END { if (nonempty) { for (i in files) print i; }; }'`; \ | |
337 test -z "$(CTAGS_ARGS)$$tags$$unique" \ | |
338 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ | |
339 $$tags $$unique | |
340 | |
341 GTAGS: | |
342 here=`$(am__cd) $(top_builddir) && pwd` \ | |
343 && cd $(top_srcdir) \ | |
344 && gtags -i $(GTAGS_ARGS) $$here | |
345 | |
346 distclean-tags: | |
347 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags | |
348 | |
349 distdir: $(DISTFILES) | |
350 $(am__remove_distdir) | |
351 test -d $(distdir) || mkdir $(distdir) | |
352 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | |
353 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ | |
354 list='$(DISTFILES)'; \ | |
355 dist_files=`for file in $$list; do echo $$file; done | \ | |
356 sed -e "s|^$$srcdirstrip/||;t" \ | |
357 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ | |
358 case $$dist_files in \ | |
359 */*) $(MKDIR_P) `echo "$$dist_files" | \ | |
360 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ | |
361 sort -u` ;; \ | |
362 esac; \ | |
363 for file in $$dist_files; do \ | |
364 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ | |
365 if test -d $$d/$$file; then \ | |
366 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ | |
367 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ | |
368 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \ | |
369 fi; \ | |
370 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \ | |
371 else \ | |
372 test -f $(distdir)/$$file \ | |
373 || cp -p $$d/$$file $(distdir)/$$file \ | |
374 || exit 1; \ | |
375 fi; \ | |
376 done | |
377 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \ | |
378 if test "$$subdir" = .; then :; else \ | |
379 test -d "$(distdir)/$$subdir" \ | |
380 || $(MKDIR_P) "$(distdir)/$$subdir" \ | |
381 || exit 1; \ | |
382 distdir=`$(am__cd) $(distdir) && pwd`; \ | |
383 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \ | |
384 (cd $$subdir && \ | |
385 $(MAKE) $(AM_MAKEFLAGS) \ | |
386 top_distdir="$$top_distdir" \ | |
387 distdir="$$distdir/$$subdir" \ | |
388 am__remove_distdir=: \ | |
389 am__skip_length_check=: \ | |
390 distdir) \ | |
391 || exit 1; \ | |
392 fi; \ | |
393 done | |
394 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \ | |
395 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \ | |
396 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \ | |
397 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \ | |
398 || chmod -R a+r $(distdir) | |
399 dist-gzip: distdir | |
400 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz | |
401 $(am__remove_distdir) | |
402 | |
403 dist-bzip2: distdir | |
404 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2 | |
405 $(am__remove_distdir) | |
406 | |
407 dist-lzma: distdir | |
408 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma | |
409 $(am__remove_distdir) | |
410 | |
411 dist-tarZ: distdir | |
412 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z | |
413 $(am__remove_distdir) | |
414 | |
415 dist-shar: distdir | |
416 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz | |
417 $(am__remove_distdir) | |
418 | |
419 dist-zip: distdir | |
420 -rm -f $(distdir).zip | |
421 zip -rq $(distdir).zip $(distdir) | |
422 $(am__remove_distdir) | |
423 | |
424 dist dist-all: distdir | |
425 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz | |
426 $(am__remove_distdir) | |
427 | |
428 # This target untars the dist file and tries a VPATH configuration. Then | |
429 # it guarantees that the distribution is self-contained by making another | |
430 # tarfile. | |
431 distcheck: dist | |
432 case '$(DIST_ARCHIVES)' in \ | |
433 *.tar.gz*) \ | |
434 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\ | |
435 *.tar.bz2*) \ | |
436 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\ | |
437 *.tar.lzma*) \ | |
438 unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\ | |
439 *.tar.Z*) \ | |
440 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\ | |
441 *.shar.gz*) \ | |
442 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\ | |
443 *.zip*) \ | |
444 unzip $(distdir).zip ;;\ | |
445 esac | |
446 chmod -R a-w $(distdir); chmod a+w $(distdir) | |
447 mkdir $(distdir)/_build | |
448 mkdir $(distdir)/_inst | |
449 chmod a-w $(distdir) | |
450 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \ | |
451 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \ | |
452 && cd $(distdir)/_build \ | |
453 && ../configure --srcdir=.. --prefix="$$dc_install_base" \ | |
454 $(DISTCHECK_CONFIGURE_FLAGS) \ | |
455 && $(MAKE) $(AM_MAKEFLAGS) \ | |
456 && $(MAKE) $(AM_MAKEFLAGS) dvi \ | |
457 && $(MAKE) $(AM_MAKEFLAGS) check \ | |
458 && $(MAKE) $(AM_MAKEFLAGS) install \ | |
459 && $(MAKE) $(AM_MAKEFLAGS) installcheck \ | |
460 && $(MAKE) $(AM_MAKEFLAGS) uninstall \ | |
461 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \ | |
462 distuninstallcheck \ | |
463 && chmod -R a-w "$$dc_install_base" \ | |
464 && ({ \ | |
465 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \ | |
466 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \ | |
467 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \ | |
468 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \ | |
469 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \ | |
470 } || { rm -rf "$$dc_destdir"; exit 1; }) \ | |
471 && rm -rf "$$dc_destdir" \ | |
472 && $(MAKE) $(AM_MAKEFLAGS) dist \ | |
473 && rm -rf $(DIST_ARCHIVES) \ | |
474 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck | |
475 $(am__remove_distdir) | |
476 @(echo "$(distdir) archives ready for distribution: "; \ | |
477 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \ | |
478 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x' | |
479 distuninstallcheck: | |
480 @cd $(distuninstallcheck_dir) \ | |
481 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \ | |
482 || { echo "ERROR: files left after uninstall:" ; \ | |
483 if test -n "$(DESTDIR)"; then \ | |
484 echo " (check DESTDIR support)"; \ | |
485 fi ; \ | |
486 $(distuninstallcheck_listfiles) ; \ | |
487 exit 1; } >&2 | |
488 distcleancheck: distclean | |
489 @if test '$(srcdir)' = . ; then \ | |
490 echo "ERROR: distcleancheck can only run from a VPATH build" ; \ | |
491 exit 1 ; \ | |
492 fi | |
493 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \ | |
494 || { echo "ERROR: files left in build directory after distclean:" ; \ | |
495 $(distcleancheck_listfiles) ; \ | |
496 exit 1; } >&2 | |
497 check-am: all-am | |
498 check: check-recursive | |
499 all-am: Makefile config.h | |
500 installdirs: installdirs-recursive | |
501 installdirs-am: | |
502 install: install-recursive | |
503 install-exec: install-exec-recursive | |
504 install-data: install-data-recursive | |
505 uninstall: uninstall-recursive | |
506 | |
507 install-am: all-am | |
508 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am | |
509 | |
510 installcheck: installcheck-recursive | |
511 install-strip: | |
512 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ | |
513 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ | |
514 `test -z '$(STRIP)' || \ | |
515 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install | |
516 mostlyclean-generic: | |
517 | |
518 clean-generic: | |
519 | |
520 distclean-generic: | |
521 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) | |
522 | |
523 maintainer-clean-generic: | |
524 @echo "This command is intended for maintainers to use" | |
525 @echo "it deletes files that may require special tools to rebuild." | |
526 clean: clean-recursive | |
527 | |
528 clean-am: clean-generic mostlyclean-am | |
529 | |
530 distclean: distclean-recursive | |
531 -rm -f $(am__CONFIG_DISTCLEAN_FILES) | |
532 -rm -f Makefile | |
533 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags | |
534 | |
535 dvi: dvi-recursive | |
536 | |
537 dvi-am: | |
538 | |
539 html: html-recursive | |
540 | |
541 info: info-recursive | |
542 | |
543 info-am: | |
544 | |
545 install-data-am: | |
546 | |
547 install-dvi: install-dvi-recursive | |
548 | |
549 install-exec-am: | |
550 | |
551 install-html: install-html-recursive | |
552 | |
553 install-info: install-info-recursive | |
554 | |
555 install-man: | |
556 | |
557 install-pdf: install-pdf-recursive | |
558 | |
559 install-ps: install-ps-recursive | |
560 | |
561 installcheck-am: | |
562 | |
563 maintainer-clean: maintainer-clean-recursive | |
564 -rm -f $(am__CONFIG_DISTCLEAN_FILES) | |
565 -rm -rf $(top_srcdir)/autom4te.cache | |
566 -rm -f Makefile | |
567 maintainer-clean-am: distclean-am maintainer-clean-generic | |
568 | |
569 mostlyclean: mostlyclean-recursive | |
570 | |
571 mostlyclean-am: mostlyclean-generic | |
572 | |
573 pdf: pdf-recursive | |
574 | |
575 pdf-am: | |
576 | |
577 ps: ps-recursive | |
578 | |
579 ps-am: | |
580 | |
581 uninstall-am: | |
582 | |
583 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \ | |
584 install-strip | |
585 | |
586 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \ | |
587 all all-am am--refresh check check-am clean clean-generic \ | |
588 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \ | |
589 dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \ | |
590 distclean-generic distclean-hdr distclean-tags distcleancheck \ | |
591 distdir distuninstallcheck dvi dvi-am html html-am info \ | |
592 info-am install install-am install-data install-data-am \ | |
593 install-dvi install-dvi-am install-exec install-exec-am \ | |
594 install-html install-html-am install-info install-info-am \ | |
595 install-man install-pdf install-pdf-am install-ps \ | |
596 install-ps-am install-strip installcheck installcheck-am \ | |
597 installdirs installdirs-am maintainer-clean \ | |
598 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \ | |
599 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am | |
600 | |
601 # Tell versions [3.59,3.63) of GNU make to not export all variables. | |
602 # Otherwise a system limit (for SysV at least) may be exceeded. | |
603 .NOEXPORT: |